Activate physical card
curl --request POST \
--url https://sg.sandbox.api.reap.global/cards/{id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"activationCode": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({activationCode: '<string>'})
};
fetch('https://sg.sandbox.api.reap.global/cards/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/cards/{id}/activate"
payload = { "activationCode": "<string>" }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": {
"code": "CARD_CANNOT_BE_ACTIVATED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "CARD_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Cards
Activate physical card
Activates a physical card using the 6-digit activation code from the card mailer. Use GET /cards/:id/activation-code only when the cardholder has lost the code that came with the card packaging.
POST
/
cards
/
{id}
/
activate
Activate physical card
curl --request POST \
--url https://sg.sandbox.api.reap.global/cards/{id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"activationCode": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({activationCode: '<string>'})
};
fetch('https://sg.sandbox.api.reap.global/cards/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/cards/{id}/activate"
payload = { "activationCode": "<string>" }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": {
"code": "CARD_CANNOT_BE_ACTIVATED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "CARD_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request body for activating a physical card
The 6-digit activation code from the card mailer. Use GET /cards/:id/activation-code only if the code was lost.
Pattern:
^[0-9]{6}$Response
Response for status 204